import React from 'react';
import { Action, Dispatch } from 'redux';
import * as themes from 'redux-devtools-themes';
import { Base16Theme } from 'redux-devtools-themes';
import { LiftedAction, LiftedState } from 'redux-devtools';
import { LogMonitorAction } from './actions';
import { LogMonitorState } from './reducers';
import { DockMonitorState } from 'redux-devtools-dock-monitor/lib/reducers';
import { DockMonitorAction } from 'redux-devtools-dock-monitor/lib/actions';
interface ExternalProps<S, A extends Action<unknown>> {
    dispatch: Dispatch<LogMonitorAction | LiftedAction<S, A, LogMonitorState>>;
    preserveScrollTop: boolean;
    select: (state: S) => unknown;
    theme: keyof typeof themes | Base16Theme;
    expandActionRoot: boolean;
    expandStateRoot: boolean;
    markStateDiff: boolean;
    hideMainButtons?: boolean;
}
interface DefaultProps<S> {
    select: (state: unknown) => unknown;
    theme: keyof typeof themes | Base16Theme;
    preserveScrollTop: boolean;
    expandActionRoot: boolean;
    expandStateRoot: boolean;
    markStateDiff: boolean;
}
export interface LogMonitorProps<S, A extends Action<unknown>> extends LiftedState<S, A, LogMonitorState> {
    dispatch: Dispatch<LogMonitorAction | LiftedAction<S, A, LogMonitorState>>;
    preserveScrollTop: boolean;
    select: (state: S) => unknown;
    theme: keyof typeof themes | Base16Theme;
    expandActionRoot: boolean;
    expandStateRoot: boolean;
    markStateDiff: boolean;
    hideMainButtons?: boolean;
}
declare const _default: (React.ComponentClass<ExternalProps<unknown, Action<unknown>>, any> & {
    update(monitorProps: ExternalProps<unknown, Action<unknown>>, state: DockMonitorState | undefined, action: DockMonitorAction): DockMonitorState;
    defaultProps: DefaultProps<unknown>;
}) | (React.FunctionComponent<ExternalProps<unknown, Action<unknown>>> & {
    update(monitorProps: ExternalProps<unknown, Action<unknown>>, state: DockMonitorState | undefined, action: DockMonitorAction): DockMonitorState;
    defaultProps: DefaultProps<unknown>;
});
export default _default;
