import { PureComponent } from 'react';
import PropTypes from 'prop-types';
import { Action } from 'redux';
import { PerformAction } from 'redux-devtools';
import { Base16Theme } from 'redux-devtools-themes';
interface Props<S, A extends Action<unknown>> {
    actionsById: {
        [actionId: number]: PerformAction<A>;
    };
    computedStates: {
        state: S;
        error?: string;
    }[];
    stagedActionIds: number[];
    skippedActionIds: number[];
    currentStateIndex: number;
    consecutiveToggleStartId: number | null | undefined;
    select: (state: S) => unknown;
    onActionClick: (id: number) => void;
    theme: Base16Theme;
    expandActionRoot: boolean;
    expandStateRoot: boolean;
    markStateDiff: boolean;
    onActionShiftClick: (id: number) => void;
}
export default class LogMonitorEntryList<S, A extends Action<unknown>> extends PureComponent<Props<S, A>> {
    static propTypes: {
        actionsById: PropTypes.Requireable<object>;
        computedStates: PropTypes.Requireable<any[]>;
        stagedActionIds: PropTypes.Requireable<any[]>;
        skippedActionIds: PropTypes.Requireable<any[]>;
        currentStateIndex: PropTypes.Requireable<number>;
        consecutiveToggleStartId: PropTypes.Requireable<number>;
        select: PropTypes.Validator<(...args: any[]) => any>;
        onActionClick: PropTypes.Validator<(...args: any[]) => any>;
        theme: PropTypes.Requireable<string | object>;
        expandActionRoot: PropTypes.Requireable<boolean>;
        expandStateRoot: PropTypes.Requireable<boolean>;
    };
    render(): JSX.Element;
}
export {};
